// CPPClient.cpp: Defines the entry point for the console application.
// C++ client that calls a managed DLL.

#include "windows.h"
#include "tchar.h"
// Import the type library.

#import "ManagedDLL.tlb" raw_interfaces_only

using namespace ManagedDLL;
int _tmain(int argc, _TCHAR* argv[])
{
    // Initialize COM.
    HRESULT hr = CoInitialize(NULL);

    // Create the interface pointer.
    ICalculatorPtr pICalc(__uuidof(ManagedClass));

    long lResult = 0;

    // Call the Add method.
    pICalc->Add(5, 10, &lResult);

    wprintf(L"The result is %d\n", lResult);


    // Uninitialize COM.
    CoUninitialize();
    return 0;
}